Subject: Re: [RFC PATCH 00/11] an introduction of library operating system for Linux (LibOS)

From: Richard Weinberger <[email-masked]>
Date: Tue, 24 Mar 2015 16:27:51 +0100

Am 24.03.2015 um 16:24 schrieb Hajime Tazaki:
> I was thinking that such 'architectural' differences in core
> idea (like system call handling, execution model, process
> context design, etc) is better to have a different architecture
> even if some part of the code is similar.
> 
> Isn't it also the same to the other 'hardware-dependent'
> architectures' case like between arm and arm64 ?
> 
> of course I'm also happy to share the code between us,
> especially _pure_ userspace part like (virtual) NIC with
> tap or pcap because we also need that part, but we kept such
> code at an external codebase (i.e., linux-libos-tools).

I'd say you should try hard to re-use/integrate your work in arch/um.
With um we already have an architecture which targets userspace,
having two needs a very good justification.

Thanks,
//richard

--
To unsubscribe, send a message with 'unsubscribe linux-mm' in
the body to [email-masked].  For more info on Linux MM,
see: http://www.linux-mm.org/ .
Don't email: <a href=mailto:"[email-masked]"> [email-masked] </a>